Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SLOT_INFO

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_SLOT_INFO

public class CK_SLOT_INFO
extends Object

class CK_SLOT_INFO provides information about a slot.

PKCS#11 structure:

      typedef struct CK_SLOT_INFO {
        CK_UTF8CHAR slotDescription[64];
        CK_UTF8CHAR manufacturerID[32];
        CK_FLAGS flags;
        CK_VERSION hardwareVersion;
        CK_VERSION firmwareVersion;
      } CK_SLOT_INFO;

Field Summary
`CK_VERSION` | `firmwareVersion` PKCS#11: CK_VERSION firmwareVersion;
`long` | `flags` PKCS#11: CK_FLAGS flags;
`CK_VERSION` | `hardwareVersion` PKCS#11: CK_VERSION hardwareVersion;
`char[]` | `manufacturerID` must be blank padded and only the first 32 chars will be used PKCS#11: CK_UTF8CHAR manufacturerID[32];
`char[]` | `slotDescription` must be blank padded and only the first 64 chars will be used PKCS#11: CK_UTF8CHAR slotDescription[64];

Constructor Summary
`CK_SLOT_INFO()`

Method Summary
`String` | `toString()` Returns the string representation of CK_SLOT_INFO.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### slotDescription

    public char[] slotDescription

  must be blank padded and only the first 64 chars will be used

  PKCS#11:

         CK_UTF8CHAR slotDescription[64];

### manufacturerID

    public char[] manufacturerID

  must be blank padded and only the first 32 chars will be used

  PKCS#11:

         CK_UTF8CHAR manufacturerID[32];

### flags

    public long flags

  PKCS#11:

         CK_FLAGS flags;

### hardwareVersion

    public CK_VERSION hardwareVersion

  PKCS#11:

         CK_VERSION hardwareVersion;

### firmwareVersion

    public CK_VERSION firmwareVersion

  PKCS#11:

         CK_VERSION firmwareVersion;

Constructor Detail

### CK_SLOT_INFO

    public CK_SLOT_INFO()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_SLOT_INFO.

  Returns:
    the string representation of CK_SLOT_INFO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.